POST/payments/requests/{id}/automatic-pix/schedule

Agendar pagamento automático via PIX

Agenda um pagamento automático de PIX

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Request Body

required
object

Request to schedule an Automatic PIX payment

amountrequirednumber

Valor da transação

descriptionstring

Descrição da transação

daterequiredstring (date)

A data de pagamento deve estar entre D+2 e D+10. O formato da data deve ser YYYY-MM-DD (por exemplo: 2025-06-16)

clientPaymentIdstring

Identificador externo para o pagamento

recipientIdstring (uuid)

Identificador do destinatário do pagamento. Deve ser enviado se você quiser usar um destinatário diferente do que foi consentido na solicitação de pagamento (ele deve ter o mesmo número de identificação fiscal que o destinatário consentido).

Example

json
{
  "amount": 0,
  "description": "string",
  "date": "2024-01-01",
  "clientPaymentId": "string",
  "recipientId": "550e8400-e29b-41d4-a716-446655440000"
}

Responses

200Agende um pagamento automático via PIX.
object

Automatic PIX payment

idrequiredstring

Identificador primário de pagamento

statusrequiredstring

Status of an individual recurring PIX payment. - `SCHEDULED`: the payment has been scheduled at the institution. - `CREATED`: the payment is created and pending execution. - `COMPLETED`: the payment was confirmed. - `CANCELED`: the payment was canceled. - `ERROR`: the payment failed (see `errorDetail`).

SCHEDULEDCREATEDCOMPLETEDCANCELEDERROR
amountrequirednumber

Valor do pagamento

descriptionstring

Descrição do pagamento

daterequiredstring (date)

Data agendada para pagamento

endToEndIdstring | null

Identificador de pagamento de ponta a ponta

errorDetailobject | null
Any of:
option 1object

Details about an error that occurred with the automatic PIX payment

option 2null | null
clientPaymentIdstring

Identificador externo para o pagamento

recipientIdrequiredstring (uuid)

Identificador do destinatário do pagamento

isFirstPaymentboolean

Indica se este é o primeiro pagamento

attemptsobject[]
itemsobject

Payment attempt. It represents an attempt to complete this payment. Useful for tracking the payment history.

Example response

json
{
  "id": "string",
  "status": "SCHEDULED",
  "amount": 0,
  "description": "string",
  "date": "2024-01-01",
  "endToEndId": "string",
  "errorDetail": {
    "code": "SALDO_INSUFICIENTE",
    "detail": "string"
  },
  "clientPaymentId": "string",
  "recipientId": "550e8400-e29b-41d4-a716-446655440000",
  "isFirstPayment": true,
  "attempts": [
    {
      "id": "string",
      "status": "IN_PROGRESS",
      "endToEndId": "string",
      "date": "2024-01-01",
      "errorDetail": {
        "code": "SALDO_INSUFICIENTE",
        "detail": "string"
      }
    }
  ]
}
curl -X POST \
'https://api.pluggy.ai/payments/requests/{id}/automatic-pix/schedule' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'
Resposta de exemplo
{
"id": "string",
"status": "SCHEDULED",
"amount": 0,
"description": "string",
"date": "2024-01-01",
"endToEndId": "string",
"errorDetail": {
"code": "SALDO_INSUFICIENTE",
"detail": "string"
},
"clientPaymentId": "string",
"recipientId": "550e8400-e29b-41d4-a716-446655440000",
"isFirstPayment": true,
"attempts": [
{
"id": "string",
"status": "IN_PROGRESS",
"endToEndId": "string",
"date": "2024-01-01",
"errorDetail": {
"code": "SALDO_INSUFICIENTE",
"detail": "string"
}
}
]
}